include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIBRARY_DIRS}
)


##### smb4ksharesiconview (shared)

tde_add_kpart( libsmb4ksharesiconview AUTOMOC
  SOURCES
    smb4ksharesiconview.cpp smb4ksharesiconview_part.cpp
    smb4ksharesiconviewitem.cpp smb4ksharesiconviewtooltip.cpp
  LINK tdecore-shared tdeui-shared tdeio-shared tdeparts-shared smb4kcore-shared smb4kdialogs-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other files

install(
  FILES smb4ksharesiconview_part.rc
  DESTINATION ${DATA_INSTALL_DIR}/smb4ksharesiconviewpart
)
